import java.util.Iterator;

/**
 * An iterator over elements of 'Massive'.
 */
public interface MassiveIterator extends Iterator<Massive> {

    /**
     * Returns the next element in the iteration.
     * (Returns 'null' if the iteration has no more elements.)
     */
    @Override
    Massive next();

    /**
     * Returns 'true' if the iteration has more elements.
     */
    @Override
    boolean hasNext();
}
